>From fea6db3b7315bd0c50d5396b37f80fd77653258f Mon Sep 17 00:00:00 2001
From: Orion Poplawski <orion@nwra.com>
Date: Fri, 6 Sep 2013 14:01:03 -0600
Subject: [PATCH] Fix FSF address

---
 COPYING                        | 2 +-
 assuan/assuan-buffer.c         | 2 +-
 assuan/assuan-defs.h           | 2 +-
 assuan/assuan-handler.c        | 2 +-
 assuan/assuan-listen.c         | 2 +-
 assuan/assuan-pipe-server.c    | 2 +-
 assuan/assuan-util.c           | 2 +-
 assuan/assuan.h                | 2 +-
 pinentry-x2go/pinentrydialog.h | 4 ++--
 pinentry/pinentry-curses.c     | 4 ++--
 pinentry/pinentry-curses.h     | 4 ++--
 pinentry/pinentry.h            | 4 ++--
 secmem/memory.h                | 2 +-
 secmem/secmem.c                | 2 +-
 secmem/util.c                  | 2 +-
 secmem/util.h                  | 2 +-
 16 files changed, 20 insertions(+), 20 deletions(-)

diff --git a/COPYING b/COPYING
index c7aea18..f406e2b 100644
--- a/COPYING
+++ b/COPYING
@@ -2,7 +2,7 @@
 		       Version 2, June 1991
 
  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-                          675 Mass Ave, Cambridge, MA 02139, USA
+                          51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
diff --git a/assuan/assuan-buffer.c b/assuan/assuan-buffer.c
index df09d3d..537d89b 100644
--- a/assuan/assuan-buffer.c
+++ b/assuan/assuan-buffer.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/assuan/assuan-defs.h b/assuan/assuan-defs.h
index 6c502bf..54f5699 100644
--- a/assuan/assuan-defs.h
+++ b/assuan/assuan-defs.h
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #ifndef ASSUAN_DEFS_H
diff --git a/assuan/assuan-handler.c b/assuan/assuan-handler.c
index 947ab9d..ab884c5 100644
--- a/assuan/assuan-handler.c
+++ b/assuan/assuan-handler.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/assuan/assuan-listen.c b/assuan/assuan-listen.c
index db63ad2..417f68b 100644
--- a/assuan/assuan-listen.c
+++ b/assuan/assuan-listen.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/assuan/assuan-pipe-server.c b/assuan/assuan-pipe-server.c
index 5c5d124..683c3e2 100644
--- a/assuan/assuan-pipe-server.c
+++ b/assuan/assuan-pipe-server.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/assuan/assuan-util.c b/assuan/assuan-util.c
index c2c899f..426beb5 100644
--- a/assuan/assuan-util.c
+++ b/assuan/assuan-util.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/assuan/assuan.h b/assuan/assuan.h
index ada5d64..4c33548 100644
--- a/assuan/assuan.h
+++ b/assuan/assuan.h
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #ifndef ASSUAN_H
diff --git a/pinentry-x2go/pinentrydialog.h b/pinentry-x2go/pinentrydialog.h
index 5e2b247..0ed47d0 100644
--- a/pinentry-x2go/pinentrydialog.h
+++ b/pinentry-x2go/pinentrydialog.h
@@ -17,8 +17,8 @@
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-   02111-1307, USA  */
+   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+   02110-1301, USA  */
 
 #ifndef __PINENTRYDIALOG_H__
 #define __PINENTRYDIALOG_H__
diff --git a/pinentry/pinentry-curses.c b/pinentry/pinentry-curses.c
index ace02ba..cc9e8ca 100644
--- a/pinentry/pinentry-curses.c
+++ b/pinentry/pinentry-curses.c
@@ -15,8 +15,8 @@
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-   02111-1307, USA  */
+   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+   02110-1301, USA  */
 
 #ifdef HAVE_CONFIG_H
 #include <config.h>
diff --git a/pinentry/pinentry-curses.h b/pinentry/pinentry-curses.h
index e05593f..f1f947c 100644
--- a/pinentry/pinentry-curses.h
+++ b/pinentry/pinentry-curses.h
@@ -15,8 +15,8 @@
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-   02111-1307, USA  */
+   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+   02110-1301, USA  */
 
 #ifndef PINENTRY_CURSES_H
 #define PINENTRY_CURSES_H
diff --git a/pinentry/pinentry.h b/pinentry/pinentry.h
index 55a5894..3da209d 100644
--- a/pinentry/pinentry.h
+++ b/pinentry/pinentry.h
@@ -15,8 +15,8 @@
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-   02111-1307, USA  */
+   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+   02110-1301, USA  */
 
 #ifndef PINENTRY_H
 #define PINENTRY_H
diff --git a/secmem/memory.h b/secmem/memory.h
index c6d04b8..48b7413 100644
--- a/secmem/memory.h
+++ b/secmem/memory.h
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301.
  */
 
 #ifndef _MEMORY_H
diff --git a/secmem/secmem.c b/secmem/secmem.c
index 796108d..7fb63ec 100644
--- a/secmem/secmem.c
+++ b/secmem/secmem.c
@@ -15,7 +15,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <config.h>
diff --git a/secmem/util.c b/secmem/util.c
index 580fd34..47b2328 100644
--- a/secmem/util.c
+++ b/secmem/util.c
@@ -13,7 +13,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301.
  */
 
 #define _GNU_SOURCE 1
diff --git a/secmem/util.h b/secmem/util.h
index 7986c99..8892fc6 100644
--- a/secmem/util.h
+++ b/secmem/util.h
@@ -14,7 +14,7 @@
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301.
  */
 
 #ifndef _UTIL_H
-- 
1.8.3.1