From 6a8229935500766088f8176490b6a4efb440cfbf Mon Sep 17 00:00:00 2001
From: Daniel Lindgren <bd.dali@gmail.com>
Date: Fri, 6 Apr 2012 09:57:20 +0200
Subject: [PATCH] Published application strings translated to swedish

---
 po/sv.po |  260 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 138 insertions(+), 122 deletions(-)

diff --git a/po/sv.po b/po/sv.po
index c5c13f1..81dc48d 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -9,7 +9,7 @@ msgstr ""
 "Project-Id-Version: PyHoca-GUI VERSION\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-04-03 16:52+0200\n"
-"PO-Revision-Date: 2012-02-20 18:49+0100\n"
+"PO-Revision-Date: 2012-04-06 09:56+0100\n"
 "Last-Translator: Daniel Lindgren <bd.dali@gmail.com>\n"
 "Language-Team: Swedish <x2go-i18n@lists.berlios.de>\n"
 "Language: sv\n"
@@ -26,11 +26,13 @@ msgstr ""
 msgid "%s (via %s)"
 msgstr "%s (via %s)"
 
-#: ../pyhoca/wxgui/logon.py:84 ../pyhoca/wxgui/logon.py:96
+#: ../pyhoca/wxgui/logon.py:84
+#: ../pyhoca/wxgui/logon.py:96
 msgid "Username"
 msgstr "Användarnamn"
 
-#: ../pyhoca/wxgui/logon.py:86 ../pyhoca/wxgui/logon.py:98
+#: ../pyhoca/wxgui/logon.py:86
+#: ../pyhoca/wxgui/logon.py:98
 msgid "Password"
 msgstr "Lösenord"
 
@@ -50,23 +52,28 @@ msgstr "Sessionsinloggning"
 msgid "SSH proxy server login"
 msgstr "SSH proxyserverinloggning"
 
-#: ../pyhoca/wxgui/logon.py:121 ../pyhoca/wxgui/profilemanager.py:310
-#: ../pyhoca/wxgui/messages.py:109 ../pyhoca/wxgui/printingprefs.py:138
+#: ../pyhoca/wxgui/logon.py:121
+#: ../pyhoca/wxgui/profilemanager.py:310
+#: ../pyhoca/wxgui/messages.py:109
+#: ../pyhoca/wxgui/printingprefs.py:138
 #: ../pyhoca/wxgui/sessiontitle.py:75
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: ../pyhoca/wxgui/logon.py:277 ../pyhoca/wxgui/logon.py:311
+#: ../pyhoca/wxgui/logon.py:277
+#: ../pyhoca/wxgui/logon.py:311
 #: ../pyhoca/wxgui/frontend.py:468
 #, python-format
 msgid "%s - connect failure"
 msgstr "%s - anslutning misslyckades"
 
-#: ../pyhoca/wxgui/logon.py:278 ../pyhoca/wxgui/frontend.py:468
+#: ../pyhoca/wxgui/logon.py:278
+#: ../pyhoca/wxgui/frontend.py:468
 msgid "User is not allowed to start X2Go sessions!"
 msgstr "Användaren har inte rätt att starta X2Go-sessioner!"
 
-#: ../pyhoca/wxgui/logon.py:283 ../pyhoca/wxgui/frontend.py:475
+#: ../pyhoca/wxgui/logon.py:283
+#: ../pyhoca/wxgui/frontend.py:475
 #, python-format
 msgid "%s - connect"
 msgstr "%s - anslut"
@@ -92,31 +99,38 @@ msgstr "%s - SSH-proxy"
 msgid "Authentication to the SSH proxy server failed!"
 msgstr "Autentisering till SSH-proxy misslyckades!"
 
-#: ../pyhoca/wxgui/logon.py:335 ../pyhoca/wxgui/logon.py:342
-#: ../pyhoca/wxgui/logon.py:381 ../pyhoca/wxgui/logon.py:389
-#: ../pyhoca/wxgui/frontend.py:495 ../pyhoca/wxgui/frontend.py:516
-#: ../pyhoca/wxgui/frontend.py:523 ../pyhoca/wxgui/frontend.py:530
+#: ../pyhoca/wxgui/logon.py:335
+#: ../pyhoca/wxgui/logon.py:342
+#: ../pyhoca/wxgui/logon.py:381
+#: ../pyhoca/wxgui/logon.py:389
+#: ../pyhoca/wxgui/frontend.py:495
+#: ../pyhoca/wxgui/frontend.py:516
+#: ../pyhoca/wxgui/frontend.py:523
+#: ../pyhoca/wxgui/frontend.py:530
 #, python-format
 msgid "%s - connect error"
 msgstr "%s - anslutning misslyckades"
 
-#: ../pyhoca/wxgui/logon.py:349 ../pyhoca/wxgui/frontend.py:502
+#: ../pyhoca/wxgui/logon.py:349
+#: ../pyhoca/wxgui/frontend.py:502
 #: ../pyhoca/wxgui/frontend.py:509
 #, python-format
 msgid "%s - host key error"
 msgstr "%s - fel på serverns nyckel"
 
-#: ../pyhoca/wxgui/logon.py:350 ../pyhoca/wxgui/frontend.py:502
-msgid ""
-"The remote server's host key is invalid or has not been accepted by the user"
+#: ../pyhoca/wxgui/logon.py:350
+#: ../pyhoca/wxgui/frontend.py:502
+msgid "The remote server's host key is invalid or has not been accepted by the user"
 msgstr "Serverns nyckel är felaktig eller har inte accepterats av användaren"
 
-#: ../pyhoca/wxgui/logon.py:357 ../pyhoca/wxgui/frontend.py:544
+#: ../pyhoca/wxgui/logon.py:357
+#: ../pyhoca/wxgui/frontend.py:544
 #, python-format
 msgid "%s - missing home directory"
 msgstr "%s - hemkatalog saknas"
 
-#: ../pyhoca/wxgui/logon.py:358 ../pyhoca/wxgui/frontend.py:544
+#: ../pyhoca/wxgui/logon.py:358
+#: ../pyhoca/wxgui/frontend.py:544
 msgid "The remote user's home directory does not exist."
 msgstr "Fjärranvändarens hemkatalog saknas."
 
@@ -125,7 +139,8 @@ msgstr "Fjärranvändarens hemkatalog saknas."
 msgid "%s - key error"
 msgstr "%s - nyckelfel"
 
-#: ../pyhoca/wxgui/logon.py:373 ../pyhoca/wxgui/frontend.py:551
+#: ../pyhoca/wxgui/logon.py:373
+#: ../pyhoca/wxgui/frontend.py:551
 #, python-format
 msgid "%s - auth error"
 msgstr "%s - autentiseringsfel"
@@ -193,9 +208,8 @@ msgid "XFCE4 Desktop (XFCE4)"
 msgstr "XFCE4 Desktop (XFCE4)"
 
 #: ../pyhoca/wxgui/profilemanager.py:79
-#, fuzzy
 msgid "Published Applications"
-msgstr "Applikation"
+msgstr "Publicerade applikationer"
 
 #: ../pyhoca/wxgui/profilemanager.py:80
 msgid "Single Application"
@@ -210,23 +224,28 @@ msgid "Windows Terminal Server (RDP-proxy)"
 msgstr "Windows Terminal Server (RDP-proxy)"
 
 #. 'DirectRDP': 'Windows Terminal Server (RDP-direct)',
-#: ../pyhoca/wxgui/profilemanager.py:84 ../pyhoca/wxgui/profilemanager.py:200
+#: ../pyhoca/wxgui/profilemanager.py:84
+#: ../pyhoca/wxgui/profilemanager.py:200
 msgid "Custom command"
 msgstr "Anpassat kommando"
 
-#: ../pyhoca/wxgui/profilemanager.py:87 ../pyhoca/wxgui/menus_taskbar.py:337
+#: ../pyhoca/wxgui/profilemanager.py:87
+#: ../pyhoca/wxgui/menus_taskbar.py:337
 msgid "Internet Browser"
 msgstr "Webbbläsare"
 
-#: ../pyhoca/wxgui/profilemanager.py:88 ../pyhoca/wxgui/menus_taskbar.py:338
+#: ../pyhoca/wxgui/profilemanager.py:88
+#: ../pyhoca/wxgui/menus_taskbar.py:338
 msgid "Email Client"
 msgstr "E-postklient"
 
-#: ../pyhoca/wxgui/profilemanager.py:89 ../pyhoca/wxgui/menus_taskbar.py:339
+#: ../pyhoca/wxgui/profilemanager.py:89
+#: ../pyhoca/wxgui/menus_taskbar.py:339
 msgid "Office"
 msgstr "Office"
 
-#: ../pyhoca/wxgui/profilemanager.py:90 ../pyhoca/wxgui/menus_taskbar.py:340
+#: ../pyhoca/wxgui/profilemanager.py:90
+#: ../pyhoca/wxgui/menus_taskbar.py:340
 msgid "Terminal"
 msgstr "Terminal"
 
@@ -332,12 +351,12 @@ msgstr "Fönsterikon"
 #. ##
 #: ../pyhoca/wxgui/profilemanager.py:194
 msgid "Start session automatically after login"
-msgstr ""
+msgstr "Starta session automatiskt efter inloggning"
 
 #: ../pyhoca/wxgui/profilemanager.py:195
 #, python-format
 msgid "Login automatically after %s has started"
-msgstr ""
+msgstr "Logga in automatiskt när %s har startat"
 
 #: ../pyhoca/wxgui/profilemanager.py:196
 msgid "Type"
@@ -361,12 +380,13 @@ msgstr "RDP-alternativ"
 
 #: ../pyhoca/wxgui/profilemanager.py:208
 msgid "Menu of published applications"
-msgstr ""
+msgstr "Meny med publicerade applikationer"
 
 #. ##
 #. ## widgets for the CONNECTION tab
 #. ##
-#: ../pyhoca/wxgui/profilemanager.py:215 ../pyhoca/wxgui/profilemanager.py:225
+#: ../pyhoca/wxgui/profilemanager.py:215
+#: ../pyhoca/wxgui/profilemanager.py:225
 msgid "User"
 msgstr "Användare"
 
@@ -491,7 +511,8 @@ msgstr "Använd lokal mappdelning"
 msgid "Path"
 msgstr "Sökväg"
 
-#: ../pyhoca/wxgui/profilemanager.py:285 ../pyhoca/wxgui/profilemanager.py:304
+#: ../pyhoca/wxgui/profilemanager.py:285
+#: ../pyhoca/wxgui/profilemanager.py:304
 msgid "Add"
 msgstr "Lägg till"
 
@@ -613,7 +634,8 @@ msgstr "Välj en mapp att dela i en session"
 #: ../pyhoca/wxgui/profilemanager.py:1601
 #: ../pyhoca/wxgui/profilemanager.py:1604
 #: ../pyhoca/wxgui/profilemanager.py:1609
-#: ../pyhoca/wxgui/profilemanager.py:1619 ../pyhoca/wxgui/menus_taskbar.py:106
+#: ../pyhoca/wxgui/profilemanager.py:1619
+#: ../pyhoca/wxgui/menus_taskbar.py:106
 msgid "Profile Manager"
 msgstr "Profilhanterare"
 
@@ -634,12 +656,10 @@ msgstr "Konfigurationen av SSH-proxy är inte komplett. Försök igen."
 #: ../pyhoca/wxgui/profilemanager.py:1619
 #, python-format
 msgid ""
-"Another session profile (%s) already uses [%s]:%s for binding a local SSH "
-"proxy to.\n"
+"Another session profile (%s) already uses [%s]:%s for binding a local SSH proxy to.\n"
 "Please change the SSH proxy settings accordingly."
 msgstr ""
-"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-"
-"proxy.\n"
+"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-proxy.\n"
 "Ändra konfiguration för SSH-proxy ."
 
 #: ../pyhoca/wxgui/profilemanager.py:1639
@@ -678,9 +698,8 @@ msgid "About %s (%s)..."
 msgstr "Om %s (%s)..."
 
 #: ../pyhoca/wxgui/menus_taskbar.py:121
-#, fuzzy
 msgid "Manage Session Profile"
-msgstr "Ny sessionsprofil"
+msgstr "Hantera sessionsprofil"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:130
 msgid "Printing Preferences"
@@ -690,7 +709,8 @@ msgstr "Utskriftspreferenser"
 msgid "Client Options"
 msgstr "Klientalternativ"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:144 ../pyhoca/wxgui/menus_taskbar.py:684
+#: ../pyhoca/wxgui/menus_taskbar.py:144
+#: ../pyhoca/wxgui/menus_taskbar.py:684
 #: ../pyhoca/wxgui/menus_taskbar.py:848
 msgid "E&xit"
 msgstr "&Avsluta"
@@ -699,7 +719,8 @@ msgstr "&Avsluta"
 msgid "Window title"
 msgstr "Fönstertitel"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:206 ../pyhoca/wxgui/menus_taskbar.py:521
+#: ../pyhoca/wxgui/menus_taskbar.py:206
+#: ../pyhoca/wxgui/menus_taskbar.py:521
 msgid "Resume Session"
 msgstr "Återanslut session"
 
@@ -715,11 +736,13 @@ msgstr "Flytta session"
 msgid "Transfer Session (not possible)"
 msgstr "Flytta session (ej möjligt)"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:224 ../pyhoca/wxgui/menus_taskbar.py:517
+#: ../pyhoca/wxgui/menus_taskbar.py:224
+#: ../pyhoca/wxgui/menus_taskbar.py:517
 msgid "Suspend Session"
 msgstr "Försätt session i vila"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:229 ../pyhoca/wxgui/menus_taskbar.py:524
+#: ../pyhoca/wxgui/menus_taskbar.py:229
+#: ../pyhoca/wxgui/menus_taskbar.py:524
 msgid "Terminate Session"
 msgstr "Avsluta session"
 
@@ -749,81 +772,76 @@ msgstr "Avsluta delning av lokala mappar"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:369
 msgid "Multimedia"
-msgstr ""
+msgstr "Ljud och bild"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:370
 msgid "Development"
-msgstr ""
+msgstr "Programmering"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:371
-#, fuzzy
 msgid "Education"
-msgstr "Hantering"
+msgstr "Utbildning"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:372
 msgid "Games"
-msgstr ""
+msgstr "Spel"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:373
 msgid "Graphics"
-msgstr ""
+msgstr "Grafik"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:374
-#, fuzzy
 msgid "Internet"
-msgstr "Webbbläsare"
+msgstr "Internet"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:375
-#, fuzzy
 msgid "Office Applications"
-msgstr "Applikation"
+msgstr "Kontor"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:376
 msgid "System"
-msgstr ""
+msgstr "System"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:377
 msgid "Utilities"
-msgstr ""
+msgstr "Verktyg"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:378
-#, fuzzy
 msgid "Other Applications"
-msgstr "Applikation"
+msgstr "Övriga applikationer"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:415
 msgid "still loading"
-msgstr ""
+msgstr "laddar fortfarande"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:415
-msgid ""
-"On slow connections, the loading of the application menu can take a couple "
-"of seconds."
-msgstr ""
+msgid "On slow connections, the loading of the application menu can take a couple of seconds."
+msgstr "Vid långsam uppkoppling så kan laddning av programmeny ta några sekunder."
 
-#: ../pyhoca/wxgui/menus_taskbar.py:417 ../pyhoca/wxgui/menus_taskbar.py:473
+#: ../pyhoca/wxgui/menus_taskbar.py:417
+#: ../pyhoca/wxgui/menus_taskbar.py:473
 #: ../pyhoca/wxgui/menus_taskbar.py:592
-#, fuzzy
 msgid "Retrieving Application Menu..."
-msgstr "Applikation"
+msgstr "Hämtar applikationsmeny..."
 
-#: ../pyhoca/wxgui/menus_taskbar.py:449 ../pyhoca/wxgui/menus_taskbar.py:461
-#, fuzzy, python-format
+#: ../pyhoca/wxgui/menus_taskbar.py:449
+#: ../pyhoca/wxgui/menus_taskbar.py:461
+#, python-format
 msgid "Connect %s"
-msgstr "Anslutning"
+msgstr "Anslut %s"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:455
 msgid "Currently connecting..."
-msgstr ""
+msgstr "Anslutning pågår..."
 
 #: ../pyhoca/wxgui/menus_taskbar.py:469
 msgid "Start &new Desktop Session"
 msgstr "Starta &ny Skrivbordssession"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:477 ../pyhoca/wxgui/menus_taskbar.py:595
-#, fuzzy
+#: ../pyhoca/wxgui/menus_taskbar.py:477
+#: ../pyhoca/wxgui/menus_taskbar.py:595
 msgid "Retrieve Application Menu"
-msgstr "Applikation"
+msgstr "Hämta applikationsmeny"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:480
 msgid "Start &new Session"
@@ -834,9 +852,8 @@ msgid "Launch Single Application"
 msgstr "Starta applikation"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:579
-#, fuzzy
 msgid "Manage Application Menu"
-msgstr "Applikation"
+msgstr "Hantera applikationsmeny"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:622
 msgid "Running"
@@ -863,13 +880,12 @@ msgid "&Disconnect from Server"
 msgstr "&Koppla från server"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:680
-#, fuzzy
 msgid "Suspend Sessions and E&xit"
-msgstr "Försätt session i vila"
+msgstr "Försätt session i vila och avsluta"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:682
 msgid "Disconnect and E&xit"
-msgstr ""
+msgstr "Koppla ifrån och avsluta"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:711
 msgid "Add Profile"
@@ -887,44 +903,41 @@ msgstr "Starta/återanslut session"
 msgid "Connect Server"
 msgstr "Anslut till server"
 
-#: ../pyhoca/wxgui/about.py:55 ../pyhoca/wxgui/about.py:57
+#: ../pyhoca/wxgui/about.py:55
+#: ../pyhoca/wxgui/about.py:57
 #, python-format
 msgid "About %s ..."
 msgstr "Om %s ..."
 
 #: ../pyhoca/wxgui/frontend.py:361
-#, fuzzy
 msgid "Suspending sessions and exiting application..."
-msgstr "Försätt session i vila"
+msgstr "Försätter session i vila och avslutar..."
 
 #: ../pyhoca/wxgui/frontend.py:364
-#, fuzzy, python-format
+#, python-format
 msgid "Disconnecting %s and exiting application ..."
-msgstr "Försätt session i vila"
+msgstr "Kopplar från %s och avslutar ..."
 
 #: ../pyhoca/wxgui/frontend.py:366
-#, fuzzy
 msgid "Exiting application..."
-msgstr "Applikation"
+msgstr "Avslutar applikation..."
 
 #: ../pyhoca/wxgui/frontend.py:442
-#, fuzzy, python-format
+#, python-format
 msgid "%s - server warning"
-msgstr "%s - sessionsvarning"
+msgstr "%s - servervarning"
 
 #: ../pyhoca/wxgui/frontend.py:442
 msgid "The X2Go Server does not publish an application menu."
-msgstr ""
+msgstr "X2Go-servern publicerar inte en applikationsmeny."
 
 #: ../pyhoca/wxgui/frontend.py:475
 msgid "Public SSH key authentication has been successful."
 msgstr "Autentisering med publik SSH-nyckel lyckades."
 
 #: ../pyhoca/wxgui/frontend.py:509
-msgid ""
-"The SSH proxy's host key is invalid or has not been accepted by the user"
-msgstr ""
-"SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
+msgid "The SSH proxy's host key is invalid or has not been accepted by the user"
+msgstr "SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
 
 #: ../pyhoca/wxgui/frontend.py:530
 msgid "Authentication protocol communication incomplete! Try again..."
@@ -940,9 +953,8 @@ msgid "An unknown error occurred during authentication!"
 msgstr "Ett okänt fel inträffade vid autentisering!"
 
 #: ../pyhoca/wxgui/frontend.py:586
-#, fuzzy
 msgid "Unknown session profile, configure before using it..."
-msgstr "ny sessionsprofil"
+msgstr "Okänd sessionsprofil, konfigurera före användning..."
 
 #: ../pyhoca/wxgui/frontend.py:703
 msgid "Cleaning X2Go sessions..."
@@ -1005,14 +1017,13 @@ msgstr "%s - kanalfel"
 
 #: ../pyhoca/wxgui/frontend.py:925
 #, python-format
-msgid ""
-"Lost connection to server %s unexpectedly! Try to re-authenticate to the "
-"server..."
-msgstr ""
-"Anslutning till %s avslutades oväntat! Försök återansluta till server..."
+msgid "Lost connection to server %s unexpectedly! Try to re-authenticate to the server..."
+msgstr "Anslutning till %s avslutades oväntat! Försök återansluta till server..."
 
-#: ../pyhoca/wxgui/frontend.py:935 ../pyhoca/wxgui/frontend.py:942
-#: ../pyhoca/wxgui/frontend.py:944 ../pyhoca/wxgui/frontend.py:956
+#: ../pyhoca/wxgui/frontend.py:935
+#: ../pyhoca/wxgui/frontend.py:942
+#: ../pyhoca/wxgui/frontend.py:944
+#: ../pyhoca/wxgui/frontend.py:956
 #, python-format
 msgid "%s - session failure"
 msgstr "%s - session misslyckades"
@@ -1042,20 +1053,13 @@ msgstr "%s - sessionsvarning"
 
 #: ../pyhoca/wxgui/frontend.py:950
 #, python-format
-msgid ""
-"Reverse TCP port forwarding request for session %s to server port %s has "
-"been denied."
-msgstr ""
-"Omvänd TCP port forwarding för session %s till serverport %s har nekats."
+msgid "Reverse TCP port forwarding request for session %s to server port %s has been denied."
+msgstr "Omvänd TCP port forwarding för session %s till serverport %s har nekats."
 
 #: ../pyhoca/wxgui/frontend.py:956
 #, python-format
-msgid ""
-"Forwarding tunnel request to [%s]:%s for session %s was denied by remote "
-"X2go/SSH server. Session startup failed."
-msgstr ""
-"Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. "
-"Sessionsstart misslyckades."
+msgid "Forwarding tunnel request to [%s]:%s for session %s was denied by remote X2go/SSH server. Session startup failed."
+msgstr "Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. Sessionsstart misslyckades."
 
 #: ../pyhoca/wxgui/frontend.py:968
 #, python-format
@@ -1063,11 +1067,11 @@ msgid "%s - audio warning"
 msgstr "%s - ljudvarning"
 
 #: ../pyhoca/wxgui/frontend.py:968
-msgid ""
-"The X2Go PulseAudio system is not available within Remote Desktop sessions."
+msgid "The X2Go PulseAudio system is not available within Remote Desktop sessions."
 msgstr "X2Go PulseAudio är inte tillgängligt i Remote Desktop-sessioner."
 
-#: ../pyhoca/wxgui/frontend.py:971 ../pyhoca/wxgui/frontend.py:974
+#: ../pyhoca/wxgui/frontend.py:971
+#: ../pyhoca/wxgui/frontend.py:974
 #, python-format
 msgid "%s - audio error"
 msgstr "%s - ljudfel"
@@ -1095,9 +1099,9 @@ msgstr ""
 "%s"
 
 #: ../pyhoca/wxgui/frontend.py:980
-#, fuzzy, python-format
+#, python-format
 msgid "%s - client-side printing not available"
-msgstr "- utskriftssystem ej tillgängligt -"
+msgstr "%s - klientdelade utskrifter ej tillgängliga"
 
 #: ../pyhoca/wxgui/frontend.py:980
 #, python-format
@@ -1105,11 +1109,13 @@ msgid ""
 "The server denies client-side printing from within this session.\n"
 "%s"
 msgstr ""
+"Servern tillåter ej utskrifter via klient från denna session.\n"
+"%s"
 
 #: ../pyhoca/wxgui/frontend.py:983
 #, python-format
 msgid "%s - MIME box not available"
-msgstr ""
+msgstr "%s - MIME ej tillgängligt"
 
 #: ../pyhoca/wxgui/frontend.py:983
 #, python-format
@@ -1117,11 +1123,13 @@ msgid ""
 "The server does not support the X2Go MIME box.\n"
 "%s"
 msgstr ""
+"Servern stöder ej X2Go MIME.\n"
+"%s"
 
 #: ../pyhoca/wxgui/frontend.py:986
 #, python-format
 msgid "%s - client-side folders not sharable"
-msgstr ""
+msgstr "%s - klientmappar ej delningsbara"
 
 #: ../pyhoca/wxgui/frontend.py:986
 #, python-format
@@ -1129,11 +1137,13 @@ msgid ""
 "The server denies client-side folder sharing with this session.\n"
 "%s"
 msgstr ""
+"Servern tillåter ej klientdelade mappar i denna session.\n"
+"%s"
 
 #: ../pyhoca/wxgui/frontend.py:989
 #, python-format
 msgid "%s - client resources not sharable"
-msgstr ""
+msgstr "%s - klientresurser ej delningsbara"
 
 #: ../pyhoca/wxgui/frontend.py:989
 #, python-format
@@ -1141,8 +1151,11 @@ msgid ""
 "Client-side folders and printers cannot be shared with this session.\n"
 "%s"
 msgstr ""
+"Klientdelade mappar och utskrifter kan ej delas med denna session.\n"
+"%s"
 
-#: ../pyhoca/wxgui/frontend.py:1003 ../pyhoca/wxgui/frontend.py:1005
+#: ../pyhoca/wxgui/frontend.py:1003
+#: ../pyhoca/wxgui/frontend.py:1005
 #, python-format
 msgid "%s - print error"
 msgstr "%s - utskriftsfel"
@@ -1169,7 +1182,8 @@ msgstr ""
 "...orsakat av session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:1009 ../pyhoca/wxgui/frontend.py:1013
+#: ../pyhoca/wxgui/frontend.py:1009
+#: ../pyhoca/wxgui/frontend.py:1013
 #, python-format
 msgid "%s - start"
 msgstr "%s - startar"
@@ -1192,7 +1206,8 @@ msgstr ""
 "En annan klient startade X2Go-session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:1017 ../pyhoca/wxgui/frontend.py:1021
+#: ../pyhoca/wxgui/frontend.py:1017
+#: ../pyhoca/wxgui/frontend.py:1021
 #, python-format
 msgid "%s - resume"
 msgstr "%s - återanslut"
@@ -1288,7 +1303,8 @@ msgstr "Ja"
 msgid "No"
 msgstr "Nej"
 
-#: ../pyhoca/wxgui/messages.py:103 ../pyhoca/wxgui/printingprefs.py:133
+#: ../pyhoca/wxgui/messages.py:103
+#: ../pyhoca/wxgui/printingprefs.py:133
 msgid "Ok"
 msgstr "OK"
 
-- 
1.7.9.1