>From 3e500eaeaca99b2688c355daff3205980adc89a6 Mon Sep 17 00:00:00 2001
From: Terje Andersen <teranders@gmail.com>
Date: Sun, 12 Oct 2014 23:21:15 +0200
Subject: [PATCH] Updated Norwegian bokmaal translation

---
 x2goclient_nb_no.ts | 102 ++++++++++++++++++++++++++++++----------------------
 1 file changed, 59 insertions(+), 43 deletions(-)

diff --git a/x2goclient_nb_no.ts b/x2goclient_nb_no.ts
index 13af570..feef53d 100644
--- a/x2goclient_nb_no.ts
+++ b/x2goclient_nb_no.ts
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="utf-8"?>
 <!DOCTYPE TS>
-<TS version="2.0" language="nb_NO">
+<TS version="2.1" language="nb_NO">
 <context>
     <name>AppDialog</name>
     <message>
@@ -483,73 +483,73 @@
     <name>FolderButton</name>
     <message>
         <source>Sessions folder</source>
-        <translation type="unfinished"></translation>
+        <translation>Sesjonsmappe</translation>
     </message>
 </context>
 <context>
     <name>FolderExplorer</name>
     <message>
         <source>Folders</source>
-        <translation type="unfinished"></translation>
+        <translation>Mapper</translation>
     </message>
     <message>
         <source>Create New Folder</source>
-        <translation type="unfinished"></translation>
+        <translation>Opprett ny mappe</translation>
     </message>
     <message>
         <source>Rename Folder...</source>
-        <translation type="unfinished"></translation>
+        <translation>Endre mappenavn</translation>
     </message>
     <message>
         <source>Change Icon...</source>
-        <translation type="unfinished"></translation>
+        <translation>Endre ikon...</translation>
     </message>
     <message>
         <source>Delete Folder...</source>
-        <translation type="unfinished"></translation>
+        <translation>Slett mappe...</translation>
     </message>
     <message>
         <source>Open picture</source>
-        <translation type="unfinished">Åpne bilde</translation>
+        <translation>Åpne bilde</translation>
     </message>
     <message>
         <source>Pictures</source>
-        <translation type="unfinished">Bilder</translation>
+        <translation>Bilder</translation>
     </message>
     <message>
         <source>X2Go Client</source>
-        <translation type="unfinished">X2Go klient</translation>
+        <translation>X2Go klient</translation>
     </message>
     <message>
         <source>Folder Name:</source>
-        <translation type="unfinished"></translation>
+        <translation>Mappenavn:</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished">Feil</translation>
+        <translation>Feil</translation>
     </message>
     <message>
         <source>Unable to remove &quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>Klarte ikke å fjerne &quot;</translation>
     </message>
     <message>
         <source>&quot;. Folder is not empty. Please remove content of folder and try again.</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;. Mappen er ikke tom. Vennligst fjern innholdet i mappen og forsøk igjen.</translation>
     </message>
     <message>
         <source>Delete folder &quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>Slett mappe &quot;</translation>
     </message>
     <message>
         <source>New Folder</source>
-        <translation type="unfinished"></translation>
+        <translation>Ny mappe</translation>
     </message>
 </context>
 <context>
     <name>HelpDialog</name>
     <message>
         <source>Options</source>
-        <translation type="unfinished">Alternativer</translation>
+        <translation>Alternativer</translation>
     </message>
 </context>
 <context>
@@ -696,7 +696,7 @@ Offentlig nøkkel: </translation>
     </message>
     <message>
         <source>Verification code:</source>
-        <translation type="unfinished">Verifikasjons kode:</translation>
+        <translation>Verifikasjonskode:</translation>
     </message>
 </context>
 <context>
@@ -1736,27 +1736,28 @@ Du kan installere sshd med:
     </message>
     <message>
         <source>Help</source>
-        <translation type="unfinished"></translation>
+        <translation>Hjelp</translation>
     </message>
     <message>
         <source>Pack Methodes</source>
-        <translation type="unfinished"></translation>
+        <translation>Pakkemetoder</translation>
     </message>
     <message>
         <source>Option is not availabel in this build</source>
-        <translation type="unfinished"></translation>
+        <translation>Alternativer er ikke tilgjengelig i dette bygget</translation>
     </message>
     <message>
         <source>Changelog</source>
-        <translation type="unfinished"></translation>
+        <translation>Endringslogg</translation>
     </message>
     <message>
         <source>Git Info</source>
-        <translation type="unfinished"></translation>
+        <translatorcomment>Git info</translatorcomment>
+        <translation>Git info</translation>
     </message>
     <message>
         <source>SSH Error</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH Feil</translation>
     </message>
     <message>
         <source>SSH daemon could not be started.
@@ -1768,7 +1769,15 @@ Windows ships its internal sshd.exe.
 
 If you see this message, please report a bug against
 the X2Go bugtracker.</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH daemonen kunne ikke blir started.
+
+Du tenger SSH daemonen for utskrift og fildeling.
+
+Normalt burde dette ikke skje da X2Go klilenten for 
+Windows har egen intern sshd.exe.
+
+Om du ser denne beskjeden, vennligst rapporter en
+bug på X2Go bugtrackeren.</translation>
     </message>
     <message>
         <source>SSH daemon is not running.
@@ -1777,25 +1786,32 @@ You&apos;ll need SSH daemon for printing and file sharing
 
 Please ask your system administrator to provide the SSH
 service on your computer.</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH daemonen kjører ikke.
+
+Du trenger SSH daemonen for utskrift og fildeling
+
+Vennligst spør din systemadministrator om å gjøre 
+SSH tjenesten tilgjengelig på din maskin.</translation>
     </message>
     <message>
         <source>SSH daemon failed to open the application&apos;s public host key.</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH daemonen feilet med å åpne applikasjonens offentlige vertsnøkkel.</translation>
     </message>
     <message>
         <source>SSH daemon failed to open the application&apos;s public key
 used for exporting folders and printers.</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH daemonnen feilet med å åpne applikasjonens offentlige nøkkel
+brukt for å eksportere mapper og skrivere.</translation>
     </message>
     <message>
         <source>SSH daemon failed to open the application&apos;s
 authoized_keys file.</source>
-        <translation type="unfinished"></translation>
+        <translation>SSH daemonen feilet med å åpne applikasjonens
+authorized_keys filen.</translation>
     </message>
     <message>
         <source>wrong value for argument&quot;--clipboard&quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>felll verdi for argumentet &quot; --clipboard&quot;</translation>
     </message>
 </context>
 <context>
@@ -2062,35 +2078,35 @@ Eksempel:
     <name>SessionExplorer</name>
     <message>
         <source>Back</source>
-        <translation type="unfinished"></translation>
+        <translation>Tilbake</translation>
     </message>
     <message>
         <source>Create session icon on desktop</source>
-        <translation type="unfinished">Opprett sesjonsikon på skrivebordet</translation>
+        <translation>Opprett sesjonsikon på skrivebordet</translation>
     </message>
     <message>
         <source>Desktop icons can be configured not to show x2goclient (hidden mode). If you like to use this feature you&apos;ll need to configure login by a gpg key or gpg smart card.
 
 Use x2goclient hidden mode?</source>
-        <translation type="unfinished">Skrivebordsikoner kan konfigureres til å ikke vise x2goklient (skjult modus). Om du ønsker å benytte denne muligheten må du konfigurere pålogging ved bruk av en GPG-nøkkel, eller et GPG basert smartkort.
+        <translation>Skrivebordsikoner kan konfigureres til å ikke vise x2goklient (skjult modus). Om du ønsker å benytte denne muligheten må du konfigurere pålogging ved bruk av en GPG-nøkkel, eller et GPG basert smartkort.
 
 Ønsker du å aktivere skjult modus for x2goklient?</translation>
     </message>
     <message>
         <source>Show session tray icon when running</source>
-        <translation type="unfinished">Hvis sesjonsikon i systemkurven når sesjonen kjører</translation>
+        <translation>Vis sesjonsikon i systemkurven når sesjonen kjører</translation>
     </message>
     <message>
         <source>New Session</source>
-        <translation type="unfinished">Ny sesjon</translation>
+        <translation>Ny sesjon</translation>
     </message>
     <message>
         <source>X2Go Link to session </source>
-        <translation type="unfinished">X2Go kobling til sesjon </translation>
+        <translation>X2Go kobling til sesjon </translation>
     </message>
     <message>
         <source>Are you sure you want to delete this session?</source>
-        <translation type="unfinished">Er du sikker på at du ønsker å fjerne denne sesjonen?</translation>
+        <translation>Er du sikker på at du ønsker å fjerne denne sesjonen?</translation>
     </message>
 </context>
 <context>
@@ -2301,7 +2317,7 @@ Use x2goclient hidden mode?</source>
     </message>
     <message>
         <source>Path:</source>
-        <translation type="unfinished">Sti:</translation>
+        <translation>Sti:</translation>
     </message>
 </context>
 <context>
@@ -2454,23 +2470,23 @@ lydsystem forbindelser gjennom brannmurer</translation>
     </message>
     <message>
         <source>&amp;Clipboard Mode</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Utklippstavle modus</translation>
     </message>
     <message>
         <source>Bidirectional copy and paste</source>
-        <translation type="unfinished"></translation>
+        <translation>Toveis kopier og lim inn</translation>
     </message>
     <message>
         <source>Copy and paste from client to server</source>
-        <translation type="unfinished"></translation>
+        <translation>Kopier og lim inn fra klient til tjener</translation>
     </message>
     <message>
         <source>Copy and paste from server to client</source>
-        <translation type="unfinished"></translation>
+        <translation>Kopier og lim inn fra tjener til klient</translation>
     </message>
     <message>
         <source>Disable clipboard completely</source>
-        <translation type="unfinished"></translation>
+        <translation>Deaktiver utklippstavlen fullstendig</translation>
     </message>
 </context>
 <context>
-- 
1.9.1