From 5eaf733cc595806c84c431ff2205054346e7c96d Mon Sep 17 00:00:00 2001
From: Daniel Lindgren <dali.spam@gmail.com>
Date: Fri, 1 Jun 2012 18:01:51 +0200
Subject: [PATCH] Swedish translation for 0.2.0.0

---
 po/sv.po |  240 +++++++++++++++++++++++++++++++++-----------------------------
 1 fil ändrad, 129 tillägg(+), 111 borttagningar(-)

diff --git a/po/sv.po b/po/sv.po
index f9b0c99..f18fab9 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -9,8 +9,8 @@ msgstr ""
 "Project-Id-Version: PyHoca-GUI VERSION\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-05-31 22:04+0200\n"
-"PO-Revision-Date: 2012-04-06 09:56+0100\n"
-"Last-Translator: Daniel Lindgren <bd.dali@gmail.com>\n"
+"PO-Revision-Date: 2012-06-01 17:59+0100\n"
+"Last-Translator: Daniel Lindgren <dali.spam@gmail.com>\n"
 "Language-Team: Swedish <x2go-i18n@lists.berlios.de>\n"
 "Language: sv\n"
 "MIME-Version: 1.0\n"
@@ -26,11 +26,13 @@ msgstr ""
 msgid "%s (via %s)"
 msgstr "%s (via %s)"
 
-#: ../pyhoca/wxgui/logon.py:84 ../pyhoca/wxgui/logon.py:96
+#: ../pyhoca/wxgui/logon.py:84
+#: ../pyhoca/wxgui/logon.py:96
 msgid "Username"
 msgstr "Användarnamn"
 
-#: ../pyhoca/wxgui/logon.py:86 ../pyhoca/wxgui/logon.py:98
+#: ../pyhoca/wxgui/logon.py:86
+#: ../pyhoca/wxgui/logon.py:98
 msgid "Password"
 msgstr "Lösenord"
 
@@ -50,23 +52,28 @@ msgstr "Sessionsinloggning"
 msgid "SSH proxy server login"
 msgstr "SSH proxyserverinloggning"
 
-#: ../pyhoca/wxgui/logon.py:121 ../pyhoca/wxgui/profilemanager.py:313
-#: ../pyhoca/wxgui/messages.py:109 ../pyhoca/wxgui/printingprefs.py:138
+#: ../pyhoca/wxgui/logon.py:121
+#: ../pyhoca/wxgui/profilemanager.py:313
+#: ../pyhoca/wxgui/messages.py:109
+#: ../pyhoca/wxgui/printingprefs.py:138
 #: ../pyhoca/wxgui/sessiontitle.py:75
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: ../pyhoca/wxgui/logon.py:277 ../pyhoca/wxgui/logon.py:319
+#: ../pyhoca/wxgui/logon.py:277
+#: ../pyhoca/wxgui/logon.py:319
 #: ../pyhoca/wxgui/frontend.py:482
 #, python-format
 msgid "%s - connect failure"
 msgstr "%s - anslutning misslyckades"
 
-#: ../pyhoca/wxgui/logon.py:278 ../pyhoca/wxgui/frontend.py:482
+#: ../pyhoca/wxgui/logon.py:278
+#: ../pyhoca/wxgui/frontend.py:482
 msgid "User is not allowed to start X2Go sessions!"
 msgstr "Användaren har inte rätt att starta X2Go-sessioner!"
 
-#: ../pyhoca/wxgui/logon.py:283 ../pyhoca/wxgui/frontend.py:489
+#: ../pyhoca/wxgui/logon.py:283
+#: ../pyhoca/wxgui/frontend.py:489
 #, python-format
 msgid "%s - connect"
 msgstr "%s - anslut"
@@ -84,7 +91,7 @@ msgid "Authentication failed!"
 msgstr "Autentisering misslyckades!"
 
 #: ../pyhoca/wxgui/logon.py:327
-#, fuzzy, python-format
+#, python-format
 msgid "%s - SSH proxy"
 msgstr "%s - SSH-proxy"
 
@@ -92,28 +99,32 @@ msgstr "%s - SSH-proxy"
 msgid "Authentication to the SSH proxy server failed!"
 msgstr "Autentisering till SSH-proxy misslyckades!"
 
-#: ../pyhoca/wxgui/logon.py:350 ../pyhoca/wxgui/frontend.py:537
-#, fuzzy, python-format
+#: ../pyhoca/wxgui/logon.py:350
+#: ../pyhoca/wxgui/frontend.py:537
+#, python-format
 msgid "%s - socket error"
-msgstr "%s - nyckelfel"
+msgstr "%s - socketfel"
 
-#: ../pyhoca/wxgui/logon.py:357 ../pyhoca/wxgui/frontend.py:516
+#: ../pyhoca/wxgui/logon.py:357
+#: ../pyhoca/wxgui/frontend.py:516
 #: ../pyhoca/wxgui/frontend.py:523
 #, python-format
 msgid "%s - host key error"
 msgstr "%s - fel på serverns nyckel"
 
-#: ../pyhoca/wxgui/logon.py:358 ../pyhoca/wxgui/frontend.py:516
-msgid ""
-"The remote server's host key is invalid or has not been accepted by the user"
+#: ../pyhoca/wxgui/logon.py:358
+#: ../pyhoca/wxgui/frontend.py:516
+msgid "The remote server's host key is invalid or has not been accepted by the user"
 msgstr "Serverns nyckel är felaktig eller har inte accepterats av användaren"
 
-#: ../pyhoca/wxgui/logon.py:365 ../pyhoca/wxgui/frontend.py:558
+#: ../pyhoca/wxgui/logon.py:365
+#: ../pyhoca/wxgui/frontend.py:558
 #, python-format
 msgid "%s - missing home directory"
 msgstr "%s - hemkatalog saknas"
 
-#: ../pyhoca/wxgui/logon.py:366 ../pyhoca/wxgui/frontend.py:558
+#: ../pyhoca/wxgui/logon.py:366
+#: ../pyhoca/wxgui/frontend.py:558
 msgid "The remote user's home directory does not exist."
 msgstr "Fjärranvändarens hemkatalog saknas."
 
@@ -122,20 +133,22 @@ msgstr "Fjärranvändarens hemkatalog saknas."
 msgid "%s - key error"
 msgstr "%s - nyckelfel"
 
-#: ../pyhoca/wxgui/logon.py:381 ../pyhoca/wxgui/frontend.py:565
+#: ../pyhoca/wxgui/logon.py:381
+#: ../pyhoca/wxgui/frontend.py:565
 #, python-format
 msgid "%s - auth error"
 msgstr "%s - autentiseringsfel"
 
-#: ../pyhoca/wxgui/logon.py:389 ../pyhoca/wxgui/frontend.py:509
-#, fuzzy, python-format
+#: ../pyhoca/wxgui/logon.py:389
+#: ../pyhoca/wxgui/frontend.py:509
+#, python-format
 msgid "%s - SSH error"
-msgstr "%s - nyckelfel"
+msgstr "%s - SSH-fel"
 
 #: ../pyhoca/wxgui/logon.py:397
-#, fuzzy, python-format
+#, python-format
 msgid "%s - unknown error"
-msgstr "%s - ljudfel"
+msgstr "%s - okänt fel"
 
 #: ../pyhoca/wxgui/logon.py:398
 msgid "An unknown error occured during authentication!"
@@ -148,7 +161,7 @@ msgid ""
 "Connecting you to ,,%s''"
 msgstr ""
 "PyHoca-GUI\n"
-"Ansluter till ,,%s''"
+"Ansluter till \"%s\""
 
 #: ../pyhoca/wxgui/taskbar.py:83
 #, python-format
@@ -157,7 +170,7 @@ msgid ""
 "Currently connecting you to remote X2Go server ,,%s''"
 msgstr ""
 "PyHoca-GUI (Python X2Go-klient)\n"
-"Anslutning till ,,%s'' pågår"
+"Anslutning till \"%s\" pågår"
 
 #: ../pyhoca/wxgui/taskbar.py:89
 msgid ""
@@ -216,23 +229,28 @@ msgid "Windows Terminal Server (RDP-proxy)"
 msgstr "Windows Terminal Server (RDP-proxy)"
 
 #. 'DirectRDP': 'Windows Terminal Server (RDP-direct)',
-#: ../pyhoca/wxgui/profilemanager.py:84 ../pyhoca/wxgui/profilemanager.py:198
+#: ../pyhoca/wxgui/profilemanager.py:84
+#: ../pyhoca/wxgui/profilemanager.py:198
 msgid "Custom command"
 msgstr "Anpassat kommando"
 
-#: ../pyhoca/wxgui/profilemanager.py:87 ../pyhoca/wxgui/menus_taskbar.py:355
+#: ../pyhoca/wxgui/profilemanager.py:87
+#: ../pyhoca/wxgui/menus_taskbar.py:355
 msgid "Internet Browser"
 msgstr "Webbbläsare"
 
-#: ../pyhoca/wxgui/profilemanager.py:88 ../pyhoca/wxgui/menus_taskbar.py:356
+#: ../pyhoca/wxgui/profilemanager.py:88
+#: ../pyhoca/wxgui/menus_taskbar.py:356
 msgid "Email Client"
 msgstr "E-postklient"
 
-#: ../pyhoca/wxgui/profilemanager.py:89 ../pyhoca/wxgui/menus_taskbar.py:357
+#: ../pyhoca/wxgui/profilemanager.py:89
+#: ../pyhoca/wxgui/menus_taskbar.py:357
 msgid "Office"
 msgstr "Office"
 
-#: ../pyhoca/wxgui/profilemanager.py:90 ../pyhoca/wxgui/menus_taskbar.py:358
+#: ../pyhoca/wxgui/profilemanager.py:90
+#: ../pyhoca/wxgui/menus_taskbar.py:358
 msgid "Terminal"
 msgstr "Terminal"
 
@@ -358,7 +376,7 @@ msgstr "RDP-alternativ"
 
 #: ../pyhoca/wxgui/profilemanager.py:206
 msgid "Integrate remote application(s) into local desktop (rootless mode)"
-msgstr ""
+msgstr "Integrera fjärrapplikation i lokalt Skrivbord (rootless)"
 
 #: ../pyhoca/wxgui/profilemanager.py:207
 msgid "Menu of published applications"
@@ -367,7 +385,8 @@ msgstr "Meny med publicerade applikationer"
 #. ##
 #. ## widgets for the CONNECTION tab
 #. ##
-#: ../pyhoca/wxgui/profilemanager.py:214 ../pyhoca/wxgui/profilemanager.py:224
+#: ../pyhoca/wxgui/profilemanager.py:214
+#: ../pyhoca/wxgui/profilemanager.py:224
 msgid "User"
 msgstr "Användare"
 
@@ -444,18 +463,15 @@ msgstr "Ange skärmupplösning (DPI)"
 
 #: ../pyhoca/wxgui/profilemanager.py:261
 msgid "Do not set (use server-side tools to configure the keyboard)"
-msgstr ""
+msgstr "Konfigurera inte (använd verktyg på server för att konfigurera tangentbord)"
 
 #: ../pyhoca/wxgui/profilemanager.py:262
-msgid ""
-"Automatically detect and use client-side keyboard configuration inside the "
-"session"
-msgstr ""
+msgid "Automatically detect and use client-side keyboard configuration inside the session"
+msgstr "Detektera automatiskt och använd klientinställningar för tangentbord i session"
 
 #: ../pyhoca/wxgui/profilemanager.py:263
-#, fuzzy
 msgid "Use custom keyboard settings as provided below"
-msgstr "Behåll aktuella tangentbordsinställningar"
+msgstr "Använd nedan angivna tangentbordsinställningar"
 
 #: ../pyhoca/wxgui/profilemanager.py:264
 msgid "Keyboard model"
@@ -463,11 +479,11 @@ msgstr "Tangentbordsmodell"
 
 #: ../pyhoca/wxgui/profilemanager.py:266
 msgid "Layout"
-msgstr ""
+msgstr "Tangentbordslayout"
 
 #: ../pyhoca/wxgui/profilemanager.py:268
 msgid "Layout variant"
-msgstr ""
+msgstr "Variant"
 
 #: ../pyhoca/wxgui/profilemanager.py:270
 msgid "Enable sound support"
@@ -507,7 +523,8 @@ msgstr "Använd lokal mappdelning"
 msgid "Path"
 msgstr "Sökväg"
 
-#: ../pyhoca/wxgui/profilemanager.py:288 ../pyhoca/wxgui/profilemanager.py:307
+#: ../pyhoca/wxgui/profilemanager.py:288
+#: ../pyhoca/wxgui/profilemanager.py:307
 msgid "Add"
 msgstr "Lägg till"
 
@@ -606,15 +623,15 @@ msgstr "Delning"
 
 #: ../pyhoca/wxgui/profilemanager.py:977
 msgid "<xkbtype>"
-msgstr ""
+msgstr "pc105"
 
 #: ../pyhoca/wxgui/profilemanager.py:978
 msgid "<xkblayout>"
-msgstr ""
+msgstr "se"
 
 #: ../pyhoca/wxgui/profilemanager.py:979
 msgid "<xkbvariant>"
-msgstr ""
+msgstr "se"
 
 #: ../pyhoca/wxgui/profilemanager.py:1249
 msgid "Icon Files (*.png)|*.png|All files (*.*)|*"
@@ -641,7 +658,8 @@ msgstr "Välj en mapp att dela i en session"
 #: ../pyhoca/wxgui/profilemanager.py:1666
 #: ../pyhoca/wxgui/profilemanager.py:1669
 #: ../pyhoca/wxgui/profilemanager.py:1674
-#: ../pyhoca/wxgui/profilemanager.py:1684 ../pyhoca/wxgui/menus_taskbar.py:106
+#: ../pyhoca/wxgui/profilemanager.py:1684
+#: ../pyhoca/wxgui/menus_taskbar.py:106
 msgid "Profile Manager"
 msgstr "Profilhanterare"
 
@@ -662,12 +680,10 @@ msgstr "Konfigurationen av SSH-proxy är inte komplett. Försök igen."
 #: ../pyhoca/wxgui/profilemanager.py:1684
 #, python-format
 msgid ""
-"Another session profile (%s) already uses [%s]:%s for binding a local SSH "
-"proxy to.\n"
+"Another session profile (%s) already uses [%s]:%s for binding a local SSH proxy to.\n"
 "Please change the SSH proxy settings accordingly."
 msgstr ""
-"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-"
-"proxy.\n"
+"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-proxy.\n"
 "Ändra konfiguration för SSH-proxy ."
 
 #: ../pyhoca/wxgui/profilemanager.py:1704
@@ -717,7 +733,8 @@ msgstr "Utskriftspreferenser"
 msgid "Client Options"
 msgstr "Klientalternativ"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:144 ../pyhoca/wxgui/menus_taskbar.py:723
+#: ../pyhoca/wxgui/menus_taskbar.py:144
+#: ../pyhoca/wxgui/menus_taskbar.py:723
 #: ../pyhoca/wxgui/menus_taskbar.py:885
 msgid "E&xit"
 msgstr "&Avsluta"
@@ -726,7 +743,8 @@ msgstr "&Avsluta"
 msgid "Window title"
 msgstr "Fönstertitel"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:209 ../pyhoca/wxgui/menus_taskbar.py:551
+#: ../pyhoca/wxgui/menus_taskbar.py:209
+#: ../pyhoca/wxgui/menus_taskbar.py:551
 msgid "Resume Session"
 msgstr "Återanslut session"
 
@@ -742,37 +760,40 @@ msgstr "Flytta session"
 msgid "Transfer Session (not possible)"
 msgstr "Flytta session (ej möjligt)"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:228 ../pyhoca/wxgui/menus_taskbar.py:542
-#, fuzzy
+#: ../pyhoca/wxgui/menus_taskbar.py:228
+#: ../pyhoca/wxgui/menus_taskbar.py:542
 msgid "Suspend Session (and disconnect/exit)"
 msgstr "Försätt session i vila och avsluta"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:230 ../pyhoca/wxgui/menus_taskbar.py:544
-#, fuzzy
+#: ../pyhoca/wxgui/menus_taskbar.py:230
+#: ../pyhoca/wxgui/menus_taskbar.py:544
 msgid "Suspend Session (and disconnect)"
-msgstr "Försätt session i vila och avsluta"
+msgstr "Försätt session i vila och koppla från"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:232 ../pyhoca/wxgui/menus_taskbar.py:546
+#: ../pyhoca/wxgui/menus_taskbar.py:232
+#: ../pyhoca/wxgui/menus_taskbar.py:546
 msgid "Suspend Session"
 msgstr "Försätt session i vila"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:238 ../pyhoca/wxgui/menus_taskbar.py:555
-#, fuzzy
+#: ../pyhoca/wxgui/menus_taskbar.py:238
+#: ../pyhoca/wxgui/menus_taskbar.py:555
 msgid "Terminate Session (and disconnect/exit)"
 msgstr "Avsluta session"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:240 ../pyhoca/wxgui/menus_taskbar.py:557
-#, fuzzy
+#: ../pyhoca/wxgui/menus_taskbar.py:240
+#: ../pyhoca/wxgui/menus_taskbar.py:557
 msgid "Terminate Session (and disconnect)"
-msgstr "Avsluta session"
+msgstr "Koppla från session"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:242 ../pyhoca/wxgui/menus_taskbar.py:559
+#: ../pyhoca/wxgui/menus_taskbar.py:242
+#: ../pyhoca/wxgui/menus_taskbar.py:559
 msgid "Terminate Session"
 msgstr "Avsluta session"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:246 ../pyhoca/wxgui/menus_taskbar.py:539
+#: ../pyhoca/wxgui/menus_taskbar.py:246
+#: ../pyhoca/wxgui/menus_taskbar.py:539
 msgid "Refresh menu tree"
-msgstr ""
+msgstr "Uppdatera menyträd"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:255
 msgid "Rename Session Window"
@@ -838,7 +859,8 @@ msgstr "Verktyg"
 msgid "Other Applications"
 msgstr "Övriga applikationer"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:464 ../pyhoca/wxgui/menus_taskbar.py:476
+#: ../pyhoca/wxgui/menus_taskbar.py:464
+#: ../pyhoca/wxgui/menus_taskbar.py:476
 #, python-format
 msgid "Connect %s"
 msgstr "Anslut %s"
@@ -851,11 +873,13 @@ msgstr "Anslutning pågår..."
 msgid "Start &new Desktop Session"
 msgstr "Starta &ny Skrivbordssession"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:489 ../pyhoca/wxgui/menus_taskbar.py:627
+#: ../pyhoca/wxgui/menus_taskbar.py:489
+#: ../pyhoca/wxgui/menus_taskbar.py:627
 msgid "Retrieving Application Menu..."
 msgstr "Hämtar applikationsmeny..."
 
-#: ../pyhoca/wxgui/menus_taskbar.py:493 ../pyhoca/wxgui/menus_taskbar.py:630
+#: ../pyhoca/wxgui/menus_taskbar.py:493
+#: ../pyhoca/wxgui/menus_taskbar.py:630
 msgid "Retrieve Application Menu"
 msgstr "Hämta applikationsmeny"
 
@@ -896,14 +920,12 @@ msgid "&Disconnect from Server"
 msgstr "&Koppla från server"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:715
-#, fuzzy
 msgid "Suspend Session and E&xit application"
-msgstr "Försätter session i vila och avslutar..."
+msgstr "Försätt session i vila och avsluta"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:719
-#, fuzzy
 msgid "Disconnect and E&xit application"
-msgstr "Kopplar från %s och avslutar ..."
+msgstr "Kopplar från och &avsluta"
 
 #: ../pyhoca/wxgui/menus_taskbar.py:748
 msgid "Add Profile"
@@ -921,7 +943,8 @@ msgstr "Starta/återanslut session"
 msgid "Connect Server"
 msgstr "Anslut till server"
 
-#: ../pyhoca/wxgui/about.py:66 ../pyhoca/wxgui/about.py:68
+#: ../pyhoca/wxgui/about.py:66
+#: ../pyhoca/wxgui/about.py:68
 #, python-format
 msgid "About %s ..."
 msgstr "Om %s ..."
@@ -931,9 +954,9 @@ msgid "Suspending sessions and exiting application..."
 msgstr "Försätter session i vila och avslutar..."
 
 #: ../pyhoca/wxgui/frontend.py:374
-#, fuzzy, python-format
+#, python-format
 msgid "Disconnecting %s and exiting application..."
-msgstr "Kopplar från %s och avslutar ..."
+msgstr "Kopplar från %s och avslutar applikation..."
 
 #: ../pyhoca/wxgui/frontend.py:376
 msgid "Exiting application..."
@@ -953,15 +976,13 @@ msgid "Public SSH key authentication has been successful."
 msgstr "Autentisering med publik SSH-nyckel lyckades."
 
 #: ../pyhoca/wxgui/frontend.py:523
-msgid ""
-"The SSH proxy's host key is invalid or has not been accepted by the user"
-msgstr ""
-"SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
+msgid "The SSH proxy's host key is invalid or has not been accepted by the user"
+msgstr "SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
 
 #: ../pyhoca/wxgui/frontend.py:544
-#, fuzzy, python-format
+#, python-format
 msgid "%s - EOF error"
-msgstr "%s - nyckelfel"
+msgstr "%s - EOF fel"
 
 #: ../pyhoca/wxgui/frontend.py:544
 msgid "Authentication protocol communication incomplete! Try again..."
@@ -980,7 +1001,8 @@ msgstr "Ett okänt fel inträffade vid autentisering!"
 msgid "Unknown session profile, configure before using it..."
 msgstr "Okänd sessionsprofil, konfigurera före användning..."
 
-#: ../pyhoca/wxgui/frontend.py:655 ../pyhoca/wxgui/frontend.py:979
+#: ../pyhoca/wxgui/frontend.py:655
+#: ../pyhoca/wxgui/frontend.py:979
 #, python-format
 msgid "%s - session warning"
 msgstr "%s - sessionsvarning"
@@ -988,7 +1010,7 @@ msgstr "%s - sessionsvarning"
 #: ../pyhoca/wxgui/frontend.py:655
 #, python-format
 msgid "Execution of command ,,%s'' failed."
-msgstr ""
+msgstr "Exekvering av kommando \"%s\" misslyckades."
 
 #: ../pyhoca/wxgui/frontend.py:731
 msgid "Cleaning X2Go sessions..."
@@ -1051,14 +1073,13 @@ msgstr "%s - kanalfel"
 
 #: ../pyhoca/wxgui/frontend.py:953
 #, python-format
-msgid ""
-"Lost connection to server %s unexpectedly! Try to re-authenticate to the "
-"server..."
-msgstr ""
-"Anslutning till %s avslutades oväntat! Försök återansluta till server..."
+msgid "Lost connection to server %s unexpectedly! Try to re-authenticate to the server..."
+msgstr "Anslutning till %s avslutades oväntat! Försök återansluta till server..."
 
-#: ../pyhoca/wxgui/frontend.py:964 ../pyhoca/wxgui/frontend.py:971
-#: ../pyhoca/wxgui/frontend.py:973 ../pyhoca/wxgui/frontend.py:985
+#: ../pyhoca/wxgui/frontend.py:964
+#: ../pyhoca/wxgui/frontend.py:971
+#: ../pyhoca/wxgui/frontend.py:973
+#: ../pyhoca/wxgui/frontend.py:985
 #, python-format
 msgid "%s - session failure"
 msgstr "%s - session misslyckades"
@@ -1083,20 +1104,13 @@ msgstr ""
 
 #: ../pyhoca/wxgui/frontend.py:979
 #, python-format
-msgid ""
-"Reverse TCP port forwarding request for session %s to server port %s has "
-"been denied."
-msgstr ""
-"Omvänd TCP port forwarding för session %s till serverport %s har nekats."
+msgid "Reverse TCP port forwarding request for session %s to server port %s has been denied."
+msgstr "Omvänd TCP port forwarding för session %s till serverport %s har nekats."
 
 #: ../pyhoca/wxgui/frontend.py:985
 #, python-format
-msgid ""
-"Forwarding tunnel request to [%s]:%s for session %s was denied by remote "
-"X2go/SSH server. Session startup failed."
-msgstr ""
-"Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. "
-"Sessionsstart misslyckades."
+msgid "Forwarding tunnel request to [%s]:%s for session %s was denied by remote X2go/SSH server. Session startup failed."
+msgstr "Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. Sessionsstart misslyckades."
 
 #: ../pyhoca/wxgui/frontend.py:1000
 #, python-format
@@ -1104,11 +1118,11 @@ msgid "%s - audio warning"
 msgstr "%s - ljudvarning"
 
 #: ../pyhoca/wxgui/frontend.py:1000
-msgid ""
-"The X2Go PulseAudio system is not available within Remote Desktop sessions."
+msgid "The X2Go PulseAudio system is not available within Remote Desktop sessions."
 msgstr "X2Go PulseAudio är inte tillgängligt i Remote Desktop-sessioner."
 
-#: ../pyhoca/wxgui/frontend.py:1003 ../pyhoca/wxgui/frontend.py:1006
+#: ../pyhoca/wxgui/frontend.py:1003
+#: ../pyhoca/wxgui/frontend.py:1006
 #, python-format
 msgid "%s - audio error"
 msgstr "%s - ljudfel"
@@ -1191,7 +1205,8 @@ msgstr ""
 "Klientdelade mappar och utskrifter kan ej delas med denna session.\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:1035 ../pyhoca/wxgui/frontend.py:1037
+#: ../pyhoca/wxgui/frontend.py:1035
+#: ../pyhoca/wxgui/frontend.py:1037
 #, python-format
 msgid "%s - print error"
 msgstr "%s - utskriftsfel"
@@ -1218,7 +1233,8 @@ msgstr ""
 "...orsakat av session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:1041 ../pyhoca/wxgui/frontend.py:1045
+#: ../pyhoca/wxgui/frontend.py:1041
+#: ../pyhoca/wxgui/frontend.py:1045
 #, python-format
 msgid "%s - start"
 msgstr "%s - startar"
@@ -1241,7 +1257,8 @@ msgstr ""
 "En annan klient startade X2Go-session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:1049 ../pyhoca/wxgui/frontend.py:1053
+#: ../pyhoca/wxgui/frontend.py:1049
+#: ../pyhoca/wxgui/frontend.py:1053
 #, python-format
 msgid "%s - resume"
 msgstr "%s - återanslut"
@@ -1337,7 +1354,8 @@ msgstr "Ja"
 msgid "No"
 msgstr "Nej"
 
-#: ../pyhoca/wxgui/messages.py:103 ../pyhoca/wxgui/printingprefs.py:133
+#: ../pyhoca/wxgui/messages.py:103
+#: ../pyhoca/wxgui/printingprefs.py:133
 msgid "Ok"
 msgstr "OK"
 
-- 
1.7.10