From 497de2285431526e63143c58a6798e1b921b76a2 Mon Sep 17 00:00:00 2001
From: Daniel Lindgren <bd.dali@gmail.com>
Date: Sun, 19 Feb 2012 18:20:05 +0100
Subject: [PATCH] Swedish language update

---
 po/sv.po |  154 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 87 insertions(+), 67 deletions(-)

diff --git a/po/sv.po b/po/sv.po
index 3b20cf4..184e603 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -9,7 +9,7 @@ msgstr ""
 "Project-Id-Version: PyHoca-GUI VERSION\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-02-19 15:07+0100\n"
-"PO-Revision-Date: 2012-02-19 11:01+0100\n"
+"PO-Revision-Date: 2012-02-19 18:17+0100\n"
 "Last-Translator: Daniel Lindgren <bd.dali@gmail.com>\n"
 "Language-Team: Swedish <x2go-i18n@lists.berlios.de>\n"
 "Language: sv\n"
@@ -26,11 +26,13 @@ msgstr ""
 msgid "%s (via %s)"
 msgstr "%s (via %s)"
 
-#: ../pyhoca/wxgui/logon.py:84 ../pyhoca/wxgui/logon.py:96
+#: ../pyhoca/wxgui/logon.py:84
+#: ../pyhoca/wxgui/logon.py:96
 msgid "Username"
 msgstr "Användarnamn"
 
-#: ../pyhoca/wxgui/logon.py:86 ../pyhoca/wxgui/logon.py:98
+#: ../pyhoca/wxgui/logon.py:86
+#: ../pyhoca/wxgui/logon.py:98
 msgid "Password"
 msgstr "Lösenord"
 
@@ -50,23 +52,28 @@ msgstr "Sessionsinloggning"
 msgid "SSH proxy server login"
 msgstr "SSH proxyserverinloggning"
 
-#: ../pyhoca/wxgui/logon.py:121 ../pyhoca/wxgui/profilemanager.py:293
-#: ../pyhoca/wxgui/messages.py:111 ../pyhoca/wxgui/printingprefs.py:138
+#: ../pyhoca/wxgui/logon.py:121
+#: ../pyhoca/wxgui/profilemanager.py:293
+#: ../pyhoca/wxgui/messages.py:111
+#: ../pyhoca/wxgui/printingprefs.py:138
 #: ../pyhoca/wxgui/sessiontitle.py:75
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: ../pyhoca/wxgui/logon.py:277 ../pyhoca/wxgui/logon.py:310
+#: ../pyhoca/wxgui/logon.py:277
+#: ../pyhoca/wxgui/logon.py:310
 #: ../pyhoca/wxgui/frontend.py:366
 #, python-format
 msgid "%s - connect failure"
 msgstr "%s - anslutning misslyckades"
 
-#: ../pyhoca/wxgui/logon.py:278 ../pyhoca/wxgui/frontend.py:366
+#: ../pyhoca/wxgui/logon.py:278
+#: ../pyhoca/wxgui/frontend.py:366
 msgid "User is not allowed to start X2Go sessions!"
 msgstr "Användaren har inte rätt att starta X2Go-sessioner!"
 
-#: ../pyhoca/wxgui/logon.py:283 ../pyhoca/wxgui/frontend.py:373
+#: ../pyhoca/wxgui/logon.py:283
+#: ../pyhoca/wxgui/frontend.py:373
 #, python-format
 msgid "%s - connect"
 msgstr "%s - anslut"
@@ -92,31 +99,38 @@ msgstr "%s - SSH-proxy"
 msgid "Authentication to the SSH proxy server failed!"
 msgstr "Autentisering till SSH-proxy misslyckades!"
 
-#: ../pyhoca/wxgui/logon.py:333 ../pyhoca/wxgui/logon.py:340
-#: ../pyhoca/wxgui/logon.py:379 ../pyhoca/wxgui/logon.py:387
-#: ../pyhoca/wxgui/frontend.py:392 ../pyhoca/wxgui/frontend.py:413
-#: ../pyhoca/wxgui/frontend.py:420 ../pyhoca/wxgui/frontend.py:427
+#: ../pyhoca/wxgui/logon.py:333
+#: ../pyhoca/wxgui/logon.py:340
+#: ../pyhoca/wxgui/logon.py:379
+#: ../pyhoca/wxgui/logon.py:387
+#: ../pyhoca/wxgui/frontend.py:392
+#: ../pyhoca/wxgui/frontend.py:413
+#: ../pyhoca/wxgui/frontend.py:420
+#: ../pyhoca/wxgui/frontend.py:427
 #, python-format
 msgid "%s - connect error"
 msgstr "%s - anslutning misslyckades"
 
-#: ../pyhoca/wxgui/logon.py:347 ../pyhoca/wxgui/frontend.py:399
+#: ../pyhoca/wxgui/logon.py:347
+#: ../pyhoca/wxgui/frontend.py:399
 #: ../pyhoca/wxgui/frontend.py:406
 #, python-format
 msgid "%s - host key error"
 msgstr "%s - fel på serverns nyckel"
 
-#: ../pyhoca/wxgui/logon.py:348 ../pyhoca/wxgui/frontend.py:399
-msgid ""
-"The remote server's host key is invalid or has not been accepted by the user"
+#: ../pyhoca/wxgui/logon.py:348
+#: ../pyhoca/wxgui/frontend.py:399
+msgid "The remote server's host key is invalid or has not been accepted by the user"
 msgstr "Serverns nyckel är felaktig eller har inte accepterats av användaren"
 
-#: ../pyhoca/wxgui/logon.py:355 ../pyhoca/wxgui/frontend.py:441
+#: ../pyhoca/wxgui/logon.py:355
+#: ../pyhoca/wxgui/frontend.py:441
 #, python-format
 msgid "%s - missing home directory"
 msgstr "%s - hemkatalog saknas"
 
-#: ../pyhoca/wxgui/logon.py:356 ../pyhoca/wxgui/frontend.py:441
+#: ../pyhoca/wxgui/logon.py:356
+#: ../pyhoca/wxgui/frontend.py:441
 msgid "The remote user's home directory does not exist."
 msgstr "Fjärranvändarens hemkatalog saknas."
 
@@ -125,7 +139,8 @@ msgstr "Fjärranvändarens hemkatalog saknas."
 msgid "%s - key error"
 msgstr "%s - nyckelfel"
 
-#: ../pyhoca/wxgui/logon.py:371 ../pyhoca/wxgui/frontend.py:448
+#: ../pyhoca/wxgui/logon.py:371
+#: ../pyhoca/wxgui/frontend.py:448
 #, python-format
 msgid "%s - auth error"
 msgstr "%s - autentiseringsfel"
@@ -206,23 +221,28 @@ msgstr "Windows Terminal Server (RDP-proxy)"
 msgid "Single Application"
 msgstr "Applikation"
 
-#: ../pyhoca/wxgui/profilemanager.py:84 ../pyhoca/wxgui/profilemanager.py:186
+#: ../pyhoca/wxgui/profilemanager.py:84
+#: ../pyhoca/wxgui/profilemanager.py:186
 msgid "Custom command"
-msgstr "Anpassat kommandot"
+msgstr "Anpassat kommando"
 
-#: ../pyhoca/wxgui/profilemanager.py:87 ../pyhoca/wxgui/menus_taskbar.py:298
+#: ../pyhoca/wxgui/profilemanager.py:87
+#: ../pyhoca/wxgui/menus_taskbar.py:298
 msgid "Internet Browser"
 msgstr "Webbbläsare"
 
-#: ../pyhoca/wxgui/profilemanager.py:88 ../pyhoca/wxgui/menus_taskbar.py:299
+#: ../pyhoca/wxgui/profilemanager.py:88
+#: ../pyhoca/wxgui/menus_taskbar.py:299
 msgid "Email Client"
 msgstr "E-postklient"
 
-#: ../pyhoca/wxgui/profilemanager.py:89 ../pyhoca/wxgui/menus_taskbar.py:300
+#: ../pyhoca/wxgui/profilemanager.py:89
+#: ../pyhoca/wxgui/menus_taskbar.py:300
 msgid "Office"
 msgstr "Office"
 
-#: ../pyhoca/wxgui/profilemanager.py:90 ../pyhoca/wxgui/menus_taskbar.py:301
+#: ../pyhoca/wxgui/profilemanager.py:90
+#: ../pyhoca/wxgui/menus_taskbar.py:301
 msgid "Terminal"
 msgstr "Terminal"
 
@@ -308,7 +328,7 @@ msgstr "Ange fönstertitel för session"
 
 #: ../pyhoca/wxgui/profilemanager.py:165
 msgid "Use a default session window title"
-msgstr "Använde standard fönstertitel för session"
+msgstr "Använd standard fönstertitel för session"
 
 #: ../pyhoca/wxgui/profilemanager.py:166
 msgid "Custom session window title"
@@ -344,7 +364,8 @@ msgstr "RDP-alternativ"
 #. ##
 #. ## widgets for the CONNECTION tab
 #. ##
-#: ../pyhoca/wxgui/profilemanager.py:198 ../pyhoca/wxgui/profilemanager.py:208
+#: ../pyhoca/wxgui/profilemanager.py:198
+#: ../pyhoca/wxgui/profilemanager.py:208
 msgid "User"
 msgstr "Användare"
 
@@ -469,7 +490,8 @@ msgstr "Använd lokal mappdelning"
 msgid "Path"
 msgstr "Sökväg"
 
-#: ../pyhoca/wxgui/profilemanager.py:268 ../pyhoca/wxgui/profilemanager.py:287
+#: ../pyhoca/wxgui/profilemanager.py:268
+#: ../pyhoca/wxgui/profilemanager.py:287
 msgid "Add"
 msgstr "Lägg till"
 
@@ -521,12 +543,14 @@ msgstr "Spara"
 msgid "Reset"
 msgstr "Återställ"
 
-#: ../pyhoca/wxgui/profilemanager.py:334 ../pyhoca/wxgui/profilemanager.py:982
+#: ../pyhoca/wxgui/profilemanager.py:334
+#: ../pyhoca/wxgui/profilemanager.py:982
 #: ../pyhoca/wxgui/profilemanager.py:1489
 msgid "automatically"
-msgstr "automatiskt"
+msgstr "automatisk"
 
-#: ../pyhoca/wxgui/profilemanager.py:336 ../pyhoca/wxgui/profilemanager.py:984
+#: ../pyhoca/wxgui/profilemanager.py:336
+#: ../pyhoca/wxgui/profilemanager.py:984
 msgid "manually"
 msgstr "manuellt"
 
@@ -589,7 +613,8 @@ msgstr "Välj en mapp att dela i en session"
 #: ../pyhoca/wxgui/profilemanager.py:1536
 #: ../pyhoca/wxgui/profilemanager.py:1539
 #: ../pyhoca/wxgui/profilemanager.py:1544
-#: ../pyhoca/wxgui/profilemanager.py:1554 ../pyhoca/wxgui/menus_taskbar.py:92
+#: ../pyhoca/wxgui/profilemanager.py:1554
+#: ../pyhoca/wxgui/menus_taskbar.py:92
 msgid "Profile Manager"
 msgstr "Profilhanterare"
 
@@ -610,12 +635,10 @@ msgstr "Konfigurationen av SSH-proxy är inte komplett. Försök igen."
 #: ../pyhoca/wxgui/profilemanager.py:1554
 #, python-format
 msgid ""
-"Another session profile (%s) already uses [%s]:%s for binding a local SSH "
-"proxy to.\n"
+"Another session profile (%s) already uses [%s]:%s for binding a local SSH proxy to.\n"
 "Please change the SSH proxy settings accordingly."
 msgstr ""
-"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-"
-"proxy.\n"
+"En annan session (%s) använder redan [%s]:%s för att ansluta till lokal SSH-proxy.\n"
 "Ändra konfiguration för SSH-proxy ."
 
 #: ../pyhoca/wxgui/profilemanager.py:1574
@@ -661,7 +684,8 @@ msgstr "Utskriftspreferenser"
 msgid "Client Options"
 msgstr "Klientalternativ"
 
-#: ../pyhoca/wxgui/menus_taskbar.py:121 ../pyhoca/wxgui/menus_taskbar.py:570
+#: ../pyhoca/wxgui/menus_taskbar.py:121
+#: ../pyhoca/wxgui/menus_taskbar.py:570
 msgid "E&xit"
 msgstr "&Avsluta"
 
@@ -769,7 +793,8 @@ msgstr "Starta/återanslut session"
 msgid "Connect Server"
 msgstr "Anslut till server"
 
-#: ../pyhoca/wxgui/about.py:55 ../pyhoca/wxgui/about.py:57
+#: ../pyhoca/wxgui/about.py:55
+#: ../pyhoca/wxgui/about.py:57
 #, python-format
 msgid "About %s ..."
 msgstr "Om %s ..."
@@ -779,10 +804,8 @@ msgid "Public SSH key authentication has been successful."
 msgstr "Autentisering med publik SSH-nyckel lyckades."
 
 #: ../pyhoca/wxgui/frontend.py:406
-msgid ""
-"The SSH proxy's host key is invalid or has not been accepted by the user"
-msgstr ""
-"SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
+msgid "The SSH proxy's host key is invalid or has not been accepted by the user"
+msgstr "SSH-proxyns nyckel är felaktig eller har inte accepterats av användaren"
 
 #: ../pyhoca/wxgui/frontend.py:427
 msgid "Authentication protocol communication incomplete! Try again..."
@@ -858,14 +881,13 @@ msgstr "%s - kanalfel"
 
 #: ../pyhoca/wxgui/frontend.py:778
 #, python-format
-msgid ""
-"Lost connection to server %s unexpectedly! Try to re-authenticate to the "
-"server..."
-msgstr ""
-"Anslutning till %s avslutades oväntat! Försök återansluta till server..."
+msgid "Lost connection to server %s unexpectedly! Try to re-authenticate to the server..."
+msgstr "Anslutning till %s avslutades oväntat! Försök återansluta till server..."
 
-#: ../pyhoca/wxgui/frontend.py:788 ../pyhoca/wxgui/frontend.py:795
-#: ../pyhoca/wxgui/frontend.py:797 ../pyhoca/wxgui/frontend.py:809
+#: ../pyhoca/wxgui/frontend.py:788
+#: ../pyhoca/wxgui/frontend.py:795
+#: ../pyhoca/wxgui/frontend.py:797
+#: ../pyhoca/wxgui/frontend.py:809
 #, python-format
 msgid "%s - session failure"
 msgstr "%s - session misslyckades"
@@ -895,20 +917,13 @@ msgstr "%s - sessionsvarning"
 
 #: ../pyhoca/wxgui/frontend.py:803
 #, python-format
-msgid ""
-"Reverse TCP port forwarding request for session %s to server port %s has "
-"been denied."
-msgstr ""
-"Omvänd TCP port forwarding för session %s till serverport %s har nekats."
+msgid "Reverse TCP port forwarding request for session %s to server port %s has been denied."
+msgstr "Omvänd TCP port forwarding för session %s till serverport %s har nekats."
 
 #: ../pyhoca/wxgui/frontend.py:809
 #, python-format
-msgid ""
-"Forwarding tunnel request to [%s]:%s for session %s was denied by remote "
-"X2go/SSH server. Session startup failed."
-msgstr ""
-"Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. "
-"Sessionsstart misslyckades."
+msgid "Forwarding tunnel request to [%s]:%s for session %s was denied by remote X2go/SSH server. Session startup failed."
+msgstr "Begäran om tunnel till [%s]:%s för session %s nekades av X2Go/SSH-server. Sessionsstart misslyckades."
 
 #: ../pyhoca/wxgui/frontend.py:821
 #, python-format
@@ -916,11 +931,11 @@ msgid "%s - audio warning"
 msgstr "%s - ljudvarning"
 
 #: ../pyhoca/wxgui/frontend.py:821
-msgid ""
-"The X2Go PulseAudio system is not available within Remote Desktop sessions."
+msgid "The X2Go PulseAudio system is not available within Remote Desktop sessions."
 msgstr "X2Go PulseAudio är inte tillgängligt i Remote Desktop-sessioner."
 
-#: ../pyhoca/wxgui/frontend.py:824 ../pyhoca/wxgui/frontend.py:827
+#: ../pyhoca/wxgui/frontend.py:824
+#: ../pyhoca/wxgui/frontend.py:827
 #, python-format
 msgid "%s - audio error"
 msgstr "%s - ljudfel"
@@ -947,7 +962,8 @@ msgstr ""
 "Anslutning för ljud kunde ej genomföras för denna session.\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:844 ../pyhoca/wxgui/frontend.py:846
+#: ../pyhoca/wxgui/frontend.py:844
+#: ../pyhoca/wxgui/frontend.py:846
 #, python-format
 msgid "%s - print error"
 msgstr "%s - utskriftsfel"
@@ -974,7 +990,8 @@ msgstr ""
 "...orsakat av session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:850 ../pyhoca/wxgui/frontend.py:854
+#: ../pyhoca/wxgui/frontend.py:850
+#: ../pyhoca/wxgui/frontend.py:854
 #, python-format
 msgid "%s - start"
 msgstr "%s - startar"
@@ -997,7 +1014,8 @@ msgstr ""
 "En annan klient startade X2Go-session\n"
 "%s"
 
-#: ../pyhoca/wxgui/frontend.py:858 ../pyhoca/wxgui/frontend.py:862
+#: ../pyhoca/wxgui/frontend.py:858
+#: ../pyhoca/wxgui/frontend.py:862
 #, python-format
 msgid "%s - resume"
 msgstr "%s - återanslut"
@@ -1093,7 +1111,8 @@ msgstr "Ja"
 msgid "No"
 msgstr "Nej"
 
-#: ../pyhoca/wxgui/messages.py:105 ../pyhoca/wxgui/printingprefs.py:133
+#: ../pyhoca/wxgui/messages.py:105
+#: ../pyhoca/wxgui/printingprefs.py:133
 msgid "Ok"
 msgstr "OK"
 
@@ -1191,3 +1210,4 @@ msgstr "Ändra sessionstitel till"
 #: ../pyhoca/wxgui/sessiontitle.py:73
 msgid "OK"
 msgstr "OK"
+
-- 
1.7.9